Bug 131600 - set tag for multiple selection of images
Summary: set tag for multiple selection of images
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 0.9.0
Platform: unspecified Linux
: NOR normal with 49 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
: 137207 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-07-31 18:55 UTC by Johann-Nikolaus Andreae
Modified: 2012-09-05 06:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johann-Nikolaus Andreae 2006-07-31 18:55:35 UTC
Version:           0.9.0-beta1 (using KDE 3.5.3 Level "a" , unofficial build of SUSE )
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.16.21-0.13-default

- select some image
- add a tag
the tag is only added to one image not to all selcted.
Comment 1 Marcel Wiesweg 2006-07-31 22:24:38 UTC
I assume you are using the sidebar?
Right-click menu and drag-n-drop should work.
The Comments & Tags tab currently does not support multiple selection, that is a TODO.
Comment 2 caulier.gilles 2006-12-19 15:18:38 UTC
*** Bug 137207 has been marked as a duplicate of this bug. ***
Comment 3 Sapaka GADEW 2006-12-19 16:38:42 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 Marcel Wiesweg 2007-01-17 23:20:57 UTC
SVN commit 624738 by mwiesweg:

Multiple selection for Comments&Tags right side bar

When more than one image is selected, comment, rating, date and tags are
compared. If a value is different across pictures it will be marked
in the UI (grey text). The user can change such a value for all pictures, or leave
it untouched.

Additionally, there is a button "More" which allows a batch operation for the
currently selected pictures, either Metadata->database or database->metadata
(the latter only for multiple selection, for single selection this is equivalent
to pressing the apply button).

Problems and pending tasks:
- test it
- the Image Properties tab currently still displays only the first picture. It needs to
  support a multiple-selection mode with at least the file system properties.
- the "More" button may clutter the UI, better implementations welcome
- in the navigate bar all four buttons are disabled. Perhaps hide them, but without
  making the whole layout jump (I didn't know how to do that)
- it would be nice if the number in "Editing 25 pictures" could be bold, but KSqueezedText
  does not allow rich text
- if a tag is added from IPTC metadata and newly created in DB,
  it is unchecked initially in ImageDescEditTab. Need to debug.
- metadata update notification currently always reloads if no changes are made, and does nothing
  if modified. For multiple selection more refined solutions are too complex. Perhaps it's ok like this.

CCMAIL: digikam-devel@kde.org
BUG: 131600





 M  +19 -0     digikam/albumiconview.cpp  
 M  +2 -0      digikam/albumiconview.h  
 M  +29 -17    digikam/digikamview.cpp  
 M  +175 -48   libs/imageproperties/imagedescedittab.cpp  
 M  +11 -1     libs/imageproperties/imagedescedittab.h  
 M  +68 -9     libs/imageproperties/imagepropertiessidebardb.cpp  
 M  +5 -0      libs/imageproperties/imagepropertiessidebardb.h  
 M  +5 -3      libs/imageproperties/navigatebartab.cpp  
Comment 5 Arnd Baecker 2007-01-18 11:41:46 UTC
> When more than one image is selected, comment, rating, date and tags are
> compared. If a value is different across pictures it will be marked
> in the UI (grey text). The user can change such a value for all pictures, or leave
> it untouched.


First: Marcel, this is really really nice - many thanks!!!

There is just one danger: it could happen that one accidentally
assigns a comment (etc.) to several images instead of just one.
(Just selecting another image does apply the changes automatically)
There is presently(? ;-) no UNDO for a situation like that.
Should one maybe issue a warning in this case?

Just some minor things:
- can one change the arrows in the "Revert all changes" into Green,
  if that button can be activated?
- To shorten the lower line one could remove the
  tick of the "Apply Changes" button (or make it colored as well?)
  Morever one could write
  "Apply" (instead of "Apply Changes", which is quite long)
  and have a mouse-over "Apply changes to all selected images".
 - Seeing that "Already assigned tags" is pressed is difficult.
   What about making the tick in that small box green, if
   it is activated (or even changing the background color
   of the list of tags?)
- Just to sneak this in: I would like really like to make
  the width of the sidebar smaller, even at the risk of not
  seeing parts of it.
  Would this be possible in principle or is there a Qt limitation?

Best, Arnd